<!doctype html>
<html>
<head>
    <title>Circumvention and Anonymity | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="Circumvention and Anonymity | Tor Project">
    <meta property="og:description" content="We&#39;ve always argued that safe circumvention requires anonymity, even from the circumvention...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/circumvention-and-anonymity/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        Circumvention and Anonymity
      </h1>
    <p class="meta">by phobos | January 12, 2009</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>We've always argued that safe circumvention requires anonymity, even from the circumvention service itself.  There are many people wanting to record your Internet traffic and browsing patterns; from governments to commercial advertising networks.  There are many ways to defeat the threat of traffic analysis; from simple proxy providers, virtual private networks, and distributed peer to peer solutions.   Only some of these offer anonymity along with circumvention. Tor's open design and anonymity properties provide protections for the user from those watching the traffic and from us as an organization.</p>

<p>Our architecture and design don't force the user to assume trust in us.  Our code is <a href="https://gitweb.torproject.org/tor.git/" rel="nofollow">accessible</a> and <a href="https://gitweb.torproject.org/tor.git/blob/HEAD:/LICENSE" rel="nofollow">licensed under an open license</a>.  Our <a href="https://gitweb.torproject.org/torspec.git" rel="nofollow">specifications</a> are clearly detailed and published. Our <a href="https://www.torproject.org/download/download" rel="nofollow">packages</a> follow a defined build process so the user can create the same binaries we do. Independent researchers can and do test the properties Tor provides [and help us to improve].  Moreover, The Tor software runs on a distributed network, where a single operator cannot capture or be forced to capture all users' traffic information, even under legal or coercive threat.</p>

<p>All of these should allow the user to trust The Tor Project as a <a href="https://www.torproject.org/about/corepeople" rel="nofollow">not-for-profit company</a> and to trust that Tor isn't surreptitiously watching the very information you're trying to protect and isn't gathering information we could be forced to disclose.</p>

<p>We're always willing to work with other organizations who understand that anonymity provides stronger circumvention protections than the alternatives.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-516"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-516" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 13, 2009</p>
    </div>
    <a href="#comment-516">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-516" class="permalink" rel="bookmark">Popular Chinese Circumvention Tools Sell User Data</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="http://blogs.law.harvard.edu/hroberts/2009/01/09/popular-chinese-filtering-circumvention-tools-dynaweb-freegate-gpass-and-firephoenix-sell-user-data/" rel="nofollow">http://blogs.law.harvard.edu/hroberts/2009/01/09/popular-chinese-filter…</a></p>
<p>"Three of the circumvention tools — DynaWeb FreeGate, GPass, and FirePhoenix — used most widely to get around China’s Great Firewall are tracking and selling the individual web browsing histories of their users."</p>
<p>Even if they're not selling, and only tracking, that still seems to be a problematic<br />
design. It would be great to have some details on exactly what they track, where<br />
they track it, how they make sure to keep it safe, etc.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-518"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-518" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 13, 2009</p>
    </div>
    <a href="#comment-518">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-518" class="permalink" rel="bookmark">Why do we not need to trust</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why do we not need to trust you? If you want to use tor (not theoretically with an own net, but in a way that enables me NOW to surf anonymous), i have to trust the keys of your directory server. If you give your keys out, somebody can fake the server and publish only malicious tor-nodes. if done properly nobody will suspect.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-532"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-532" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">January 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-518" class="permalink" rel="bookmark">Why do we not need to trust</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-532">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-532" class="permalink" rel="bookmark">Re: Why do we not need to trust</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>That's why the directory design is distributed. There are currently<br />
six directory authorities, and a majority of them (four) need to agree<br />
about what nodes are in the network before your Tor client believes<br />
it. Specifically, the six are run by me (moria1), a cypherpunk in<br />
Amsterdam (dizum), the German CCC (dannenberg), our Debian packager<br />
who lives in Austria (tor26), a Tor developer in Germany (gabelmoo), and a<br />
Tor developer in San Francisco (ides).   </p>
<p>You do have to trust this group as a whole not to work together to try<br />
to trick you, but I think that's a better situation than having a central<br />
place that could trick you but promises not to.</p>
<p>Another big aspect of trust that we feel is important is transparency. We<br />
try to tell you all the details of how Tor works, and be up-front about<br />
pros and cons. You can read more about the v3 directory protocol here:<br />
<a href="https://svn.torproject.org/svn/tor/trunk/doc/spec/dir-spec.txt" rel="nofollow">https://svn.torproject.org/svn/tor/trunk/doc/spec/dir-spec.txt</a><br />
and a more general explanation of Tor's various layers of keys here:<br />
<a href="https://www.torproject.org/faq#KeyManagement" rel="nofollow">https://www.torproject.org/faq#KeyManagement</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-523"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-523" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">January 14, 2009</p>
    </div>
    <a href="#comment-523">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-523" class="permalink" rel="bookmark">Can&#039;t get a fully encrypted connection to gmail</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>every time I go to <a href="https://mail.google.com" rel="nofollow">https://mail.google.com</a> via TOR, Firefox warns me that the connection is not fully encrypted and contains unencrypted info.<br />
Tried several exit nodes.</p>
<p>What's up with that?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-527"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-527" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">January 14, 2009</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-523" class="permalink" rel="bookmark">Can&#039;t get a fully encrypted connection to gmail</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-527">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-527" class="permalink" rel="bookmark">gmail option</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>there's an option in gmail to force all connections over ssl.  if you haven't enabled this option, perhaps that's why.  Another option is to start the Tamper Data plugin and see what is going plaintext to gmail.  </p>
<p>I know with the option in gmail set to all ssl, firefox doesn't warn about mixed content.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-3330"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-3330" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Gifts to Pakistan (not verified)</span> said:</p>
      <p class="date-time">November 25, 2009</p>
    </div>
    <a href="#comment-3330">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-3330" class="permalink" rel="bookmark">Really nice blog, very</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Really nice blog, very informative.Looking forward to more stuff</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-4422"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-4422" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">February 26, 2010</p>
    </div>
    <a href="#comment-4422">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-4422" class="permalink" rel="bookmark">Nice blog entry.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Nice blog entry.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-7969"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7969" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 07, 2010</p>
    </div>
    <a href="#comment-7969">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7969" class="permalink" rel="bookmark">If I download a file such as</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If I download a file such as a pdf using tor will my ip address be exposed?  Maybe a dumb question I just want to be sure.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-7981"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-7981" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phobos
  </article>
    <div class="comment-header">
      <p class="comment__submitted">phobos said:</p>
      <p class="date-time">October 08, 2010</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-7969" class="permalink" rel="bookmark">If I download a file such as</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-7981">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-7981" class="permalink" rel="bookmark">if you are configured</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>if you are configured correctly, no.  opening the pdf may be a risk because of javascript in the pdfs run by the adobe reader.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div>
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
